[Snort-users] (no subject)

Chris Eidem ceidem at ...5503...
Fri Aug 9 07:34:02 EDT 2002


> 
> Below is the error I get trying to run snort.
> 
> database:     sensor id = 1
> database: mysql_error: You have an error in your SQL syntax 
> near '[schema]' 
> at line 1
> database: schema version = 0
> database: The underlying database seems to be running an 
> older version of 
> the DB
> schema.
>           Please re-run the appropriate DB creation script (e.g. 
> create_mysql,
>           create_postgresql, create_oracle) located in the contrib\ 
> directory.
> Fatal Error, Quitting..
> 
> I used the 1.8.7 source to get the create_mysql table entries.
> 

you need to use schema v105.  do this:

mysql -u root -p
use snort;
select * from schema;

if it doesn't look like this:

mysql> select * from schema;
+------+---------------------+
| vseq | ctime               |
+------+---------------------+
|  105 | 2002-07-11 14:41:41 |
+------+---------------------+
1 row in set (0.00 sec)

mysql>

then do this:

mysql> update schema2 set vseq = '105', ctime = now() where vseq = '0';

that should do it, if that is indeed, the problem.

 - chris




More information about the Snort-users mailing list